//  PurebredData.h

#ifndef __GENOME_MIXER_PUREBRED_DATA__
#define __GENOME_MIXER_PUREBRED_DATA__

#include <string>
#include <vector>
#include "Mouse.h"

//using namespace std;

class PurebredData {
 private:
  std::vector<string> parentalStrains; // purebred strain names
  std::vector<string> parentalSymbols; // the symbols, like "A" or "10" or "194"
  std::vector<Mouse*> purebredMaleVec; // the group of purebred source males
  std::vector<Mouse*> purebredFemaleVec; // the group of purebred source females

 public:
  string* PurebredData::getPureSymbolPtr(int index);
  string* PurebredData::getPureNamePtr(int index);
  Mouse*  PurebredData::getPurePtr(int index, bool sex);
  
  void   PurebredData::clearAll(void);
  void   PurebredData::addPurebred(string strainName, string symbol);
  int    PurebredData::numPurebreds(void);
  void   PurebredData::makePurebredMice(void);	
  void   PurebredData::printPurebreds(void); // Prints to terminal out
  
}; // <-- remember the semicolon here, or a lot of trouble will be caused

#endif
